com.buschmais.jqassistant.plugin.javaee6.api.model

## Interface FilterDescriptor

- All Superinterfaces:
    AsyncSupportedDescriptor, com.buschmais.jqassistant.core.store.api.model.Descriptor, com.buschmais.jqassistant.core.store.api.model.NamedDescriptor, com.buschmais.jqassistant.plugin.java.api.model.TypedDescriptor, WebDescriptor

      @Label(value="Filter")
      public interface FilterDescriptor
      extends WebDescriptor, com.buschmais.jqassistant.core.store.api.model.NamedDescriptor, AsyncSupportedDescriptor, com.buschmais.jqassistant.plugin.java.api.model.TypedDescriptor

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<DescriptionDescriptor>` | `getDescriptions()`
    `List<DisplayNameDescriptor>` | `getDisplayNames()`
    `List<IconDescriptor>` | `getIcons()`
    `List<ParamValueDescriptor>` | `getInitParams()`
    `List<FilterMappingDescriptor>` | `getMappings()`

    - ### Methods inherited from interface com.buschmais.jqassistant.core.store.api.model.NamedDescriptor

      `getName, setName`

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.javaee6.api.model.AsyncSupportedDescriptor

      `isAsyncSupported, setAsyncSupported`

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.java.api.model.TypedDescriptor

      `getType, setType`

- - ### Method Detail

    - #### getDescriptions

          @Relation(value="HAS_DESCRIPTION")
          List<DescriptionDescriptor> getDescriptions()

    - #### getDisplayNames

          @Relation(value="HAS_DISPLAY_NAME")
          List<DisplayNameDescriptor> getDisplayNames()

    - #### getIcons

          @Relation(value="HAS_ICON")
          List<IconDescriptor> getIcons()

    - #### getInitParams

          @Relation(value="HAS_INIT_PARAM")
          List<ParamValueDescriptor> getInitParams()

    - #### getMappings

          @Relation(value="HAS_MAPPING")
          List<FilterMappingDescriptor> getMappings()

Copyright © 2015 buschmais GbR. All rights reserved.